import { styled } from '@mui/material';
import Select from 'antd/es/select';
import 'antd/es/select/style/index';

interface SelectPickerProps {
  value: string[];
  onChange: (value: string[]) => void;
}

export const SelectPickerCom = ({ value, onChange }: SelectPickerProps) => {
  return <Select style={{ width: '100%' }} showSearch={false} mode='tags' value={value} onChange={onChange} />;
};

export const SelectPicker = styled(SelectPickerCom)({
  '& .ant-select-selector': {
    color: 'var(--primary-color)',
  },
});
